filezilla

Se sei un utente alle prime armi con Linux o Sabayon, questo è il posto che fa per te :)

Moderator: Moderators

Post Reply
dylan2004
Baby Hen
Posts: 19
Joined: Tue Apr 25, 2017 17:09

filezilla

Post by dylan2004 » Fri Jan 25, 2019 22:21

Ciao a tutti
da alcuni giorni, dopo un aggiornamento, non si apre piu' il programma filezilla. Ho provato anche a reintallarlo ma niente. Come potrei risolvere il problema?
Esiste eventualmente un programma alternativo?
come desktop utilizzo KDE.
Grazie

User avatar
fiorello
Sagely Hen
Posts: 1350
Joined: Mon Aug 13, 2007 14:06
Location: Bourg En Bresse - France

Re: filezilla

Post by fiorello » Fri Jan 25, 2019 23:35

Da user lancia il programma con la konsole e posta gli eventuali errori:

Code: Select all

$ filezilla
Io uso gFTP, ciao.
ASRock Fatal1ty Z68 Professional Gen3 *_* Intel(R) Core(TM) i7-2600K CPU @ 3.40GHz *_* MSI GeForce® GTX 1050 Ti 4GT OC *_* AR5416 Wireless Network Adapter {AR5008802.11(a) bgn} *_* Mémoire totale 8 Gio *_* linux-4.20.0 *_* Sabayon KDE-5 *_*
Image

User avatar
sabayonino
Sagely Hen
Posts: 3353
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: filezilla

Post by sabayonino » Sat Jan 26, 2019 2:05

In attesa dell'eventuale fix , potresti provare
net-ftp/gftp

non dovrebbe avere troppe dipendenze gnomiche...

marcb
Simple Hen
Posts: 94
Joined: Tue Jul 06, 2010 22:42

Re: filezilla

Post by marcb » Sat Jan 26, 2019 10:02

errore facile da replicare, ecco il log

Code: Select all

filezilla
Reading locale option from /home/marco/.config/filezilla/filezilla.xml
Fatal Error: Mismatch between the program and library build versions detected.
The library used 3.0 (wchar_t,compiler with C++ ABI 1010,wx containers,compatible with 2.8),
and your program used 3.0 (wchar_t,compiler with C++ ABI 1011,wx containers,compatible with 2.8).
Aborted (core dumped)

User avatar
sabayonino
Sagely Hen
Posts: 3353
Joined: Sun Sep 21, 2008 1:12
Location: Italy
Contact:

Re: filezilla

Post by sabayonino » Sat Jan 26, 2019 13:09

Con l'installazione del nuovo compilatore , il messaggio ti dice che le wxGTK installate devono essere ricompilate con la versione C++ ABI successiva

Controlla quali wxGTK hai installato (una o più versioni probabilmente) ed utilizza portage (assicurati di aver installato il compialtore sys-devel/gcc)


Esempio

Code: Select all

equo q  installed -qv x11-libs/wxGTK
x11-libs/wxGTK-3.0.4
x11-libs/wxGTK-3.0.4-r300

procedi con la'ggiornamento via portage

Code: Select all

 emerge =x11-libs/wxGTK-3.0.4 =x11-libs/wxGTK-3.0.4-r300
Buon filezilla

dylan2004
Baby Hen
Posts: 19
Joined: Tue Apr 25, 2017 17:09

Re: filezilla

Post by dylan2004 » Sat Jan 26, 2019 22:14

Grazie delle risposte.
quando provo a dare il comando di aggiornamento via portage mi appare questo, e comunque non si avvia il programma.

Code: Select all

* IMPORTANT: 15 news items need reading for repository 'gentoo'.
 * Use eselect news read to view new items.

Calculating dependencies... done!

emerge: there are no ebuilds to satisfy "=x11-libs/wxGTK-3.0.4".
Adesso provo ad installare gli altri programmi che mi avete consigliato.

Grazie mille

joost
Sagely Hen
Posts: 2737
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands
Contact:

Re: filezilla

Post by joost » Sun Jan 27, 2019 1:02

I can confirm the problem, will get this fixed in Entropy.
My blog | Mastodon | Please support Sabayon: Become a Patron

dylan2004
Baby Hen
Posts: 19
Joined: Tue Apr 25, 2017 17:09

Re: filezilla

Post by dylan2004 » Mon Feb 11, 2019 21:54

Scrivo solo per dire che dopo l'ultimo aggiornamento filezilla è tornato a funzionare di nuovo perfettamente.
Un saluto

Post Reply